Update Channel Account User

Prev Next
Put
/v1/channel-accounts/users/{userId}

Update an existing Channel Account user.

Notes:

  • SSO users cannot be updated through this endpoint
  • Cannot set active: false and reinstate: true simultaneously
  • Password can only be set for verified users
  • Set mfa: false to disable MFA for the user
Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Path parameters
userId
integerRequired

User ID

Example67890
Body parameters
minimal

Required field only

{
  "email": "john.doe@example.com"
}
full

All fields

{
  "firstName": "John",
  "lastName": "Doe",
  "email": "john.doe@example.com",
  "userRole": "Channel Account Admin",
  "active": "True",
  "reinstate": "False",
  "mfa": "True",
  "address1": "123 Main St",
  "city": "Boston",
  "country": "United States",
  "stateName": "Massachusetts",
  "zip": "02101",
  "phone": "+1-555-123-4567"
}
object
firstName
string
lastName
string
email
string (email) Required

Cannot be empty. Must be unique.

userRole
string
active
boolean
reinstate
boolean

Set to true to reinstate a deactivated user. Cannot be true if active is false.

mfa
boolean

Set to false to disable MFA

password
string

New password. User must be verified.

address1
string
address2
string
country
string
city
string
stateName
string
zip
string
phone
string
Responses
200

Successfully updated the user

{
  "success": "True",
  "code": "RES-I-0017",
  "message": "User has been successfully updated!",
  "data": {
    "id": "67890",
    "channelAccountId": "12345",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john.doe@example.com",
    "userRole": "Channel Account Admin",
    "status": "ACTIVE",
    "verified": "True",
    "mfa": "False",
    "creationDate": "2023-12-19T09:35:47.598Z",
    "address1": "123 Main St",
    "city": "Boston",
    "state": "Massachusetts",
    "country": "United States",
    "zip": "02101",
    "phone": "+1-555-123-4567",
    "isSsoUser": "False"
  }
}
Expand All
object
success
boolean
code
string
message
string
data
object (ChannelAccountUserResponse)
id
integer
channelAccountId
integer
firstName
string
lastName
string
email
string
userRole
string
status
string
verified
boolean
mfa
boolean
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
phone
string
isSsoUser
boolean
400

Bad request (e.g., SSO user, invalid email)

404

User not found